Update Plan
curl --request PUT \
--url https://api.example.com/api/v1/ops/billing/catalog/plans/{key} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"kind": "plan",
"description": "",
"monthly_price_cents": 123,
"yearly_price_cents": 123,
"credits": 123,
"trial_days": 123,
"marketing_highlights": [],
"featured": false,
"sort": 0,
"reason": ""
}
'import requests
url = "https://api.example.com/api/v1/ops/billing/catalog/plans/{key}"
payload = {
"name": "<string>",
"key": "<string>",
"kind": "plan",
"description": "",
"monthly_price_cents": 123,
"yearly_price_cents": 123,
"credits": 123,
"trial_days": 123,
"marketing_highlights": [],
"featured": False,
"sort": 0,
"reason": ""
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
kind: 'plan',
description: '',
monthly_price_cents: 123,
yearly_price_cents: 123,
credits: 123,
trial_days: 123,
marketing_highlights: [],
featured: false,
sort: 0,
reason: ''
})
};
fetch('https://api.example.com/api/v1/ops/billing/catalog/plans/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ops
Update Plan
PUT
/
api
/
v1
/
ops
/
billing
/
catalog
/
plans
/
{key}
Update Plan
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Update Plan Api V1 Ops Billing Catalog Plans Key Put · object.
⌘I